import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotMapPage/` + url, ...arg)

/**
 * 地图页信息表Api接口管理器
 *
 * @author xiang
 * @date  2023/09/20 09:09
 **/
export default {
	// 获取地图页信息表分页
	depotMapPagePage(data) {
		return request('page', data, 'get')
	},
	// 获取地图页信息表列表
	depotMapPageList(data) {
		return request('list', data, 'get')
	},
	// 提交地图页信息表表单 edit为true时为编辑，默认为新增
	depotMapPageSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除地图页信息表
	depotMapPageDelete(data) {
		return request('delete', data)
	},
	// 获取地图页信息表详情
	depotMapPageDetail(data) {
		return request('detail', data, 'get')
	},

	// 获取地图页信息_地区粮库数量列表 //中间
	mapZoneCount(data) {
		return request('mapZoneCount', data, 'get')
	},

	// 获取地图页信息_订单额统计 //左上
	orderSum(data) {
		return request('orderSum', data, 'get')
	},
	// 获取地图页信息_主流地价格列表 //左下表格-主流地价格_列表
	mainZonePrice(data) {
		return request('mainZonePrice', data, 'get')
	},
	// 获取地图页信息_地区交易额列表 //左下表格-交易地区
	mapZoneSum(data) {
		return request('mapZoneSum', data, 'get')
	},
	// 获取地图页信息_期货信息列表 //左下表格-期货信息
	mapZoneFutures(data) {
		return request('mapZoneFutures', data, 'get')
	},
	// 获取地图页信息_获取报警统计 //中下
	waitProcessSum(data) {
		return request('waitProcessSum', data, 'get')
	},
	// 获取地图页信息_预约审批统计 //右下
	waitApprovalSum(data) {
		return request('waitApprovalSum', data, 'get')
	},
	// 获取地图页信息_预约审批列表 //右下表格
	waitApprovalGroup(data) {
		return request('waitApprovalGroup', data, 'get')
	},
	// 获取地图页信息_报警弹框
	waitProcessList(data) {
		return request('waitProcessList', data, 'get')
	},
	// 获取地图页信息_代办弹框
	waitApprovalList(data) {
		return request('waitApprovalList', data, 'get')
	},
}
